Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io
Class DelegatingWriteBuffer.DelegatingBufferOutput

`java.lang.Object
java.io.OutputStream
com.tangosol.io.AbstractWriteBuffer.AbstractBufferOutput
com.tangosol.io.DelegatingWriteBuffer.DelegatingBufferOutput`

All Implemented Interfaces:
  OutputStreaming, WriteBuffer.BufferOutput, java.io.Closeable, java.io.DataOutput, java.io.Flushable

Enclosing class:
  DelegatingWriteBuffer

      public final class DelegatingWriteBuffer.DelegatingBufferOutput

extends AbstractWriteBuffer.AbstractBufferOutput

A BufferOutput implementation that delegates to a BufferOutput implementation, except that its offset range is shifted and limited.

Author:
  cp 2005.03.24

Field Summary
`protected WriteBuffer.BufferOutput` | `m_out` The BufferOutput to delegate to.

Fields inherited from class com.tangosol.io.AbstractWriteBuffer.AbstractBufferOutput
`m_ofWrite`

Fields inherited from interface com.tangosol.io.WriteBuffer.BufferOutput
`MAX_PACKED_INT_SIZE, MAX_PACKED_LONG_SIZE`

Constructor Summary
`DelegatingWriteBuffer.DelegatingBufferOutput(int of)` Construct an AbstractBufferOutput that will begin writing at the start of the containing WriteBuffer.

Method Summary
`protected void` | `moveOffset(int cb)` Move the offset within the stream forward.
`void` | `write(byte[] ab, int of, int cb)` Writes `cb` bytes starting at offset `of` from the array `ab`.
`void` | `write(int b)` Writes the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.
`void` | `writeBoolean(boolean f)` Writes the boolean value `f`.
`void` | `writeBuffer(ReadBuffer buf)` Write all the bytes from the passed ReadBuffer object. This is functionally equivalent to the following code:
     getBuffer().write(getOffset(), buf);
`void` | `writeBuffer(ReadBuffer buf, int of, int cb)` Write `cb` bytes from the passed ReadBuffer object starting at offset `of` within the passed ReadBuffer. This is functionally equivalent to the following code:
     getBuffer().write(getOffset(), buf, of, cb);
`void` | `writeByte(int b)` Writes the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.
`void` | `writeBytes(java.lang.String s)` Writes the String `s`, but only the low-order byte from each character of the String is written.
`void` | `writeChar(int ch)` Writes a char value, comprised of the 16 low-order bits of the argument `ch`; the 16 high-order bits of `ch` are ignored.
`void` | `writeChars(java.lang.String s)` Writes the String `s` as a sequence of characters.
`void` | `writeDouble(double dfl)` Writes a double value.
`void` | `writeFloat(float fl)` Writes a float value.
`void` | `writeInt(int n)` Writes an int value.
`void` | `writeLong(long l)` Writes a long value.
`void` | `writeShort(int n)` Writes a short value, comprised of the 16 low-order bits of the argument `n`; the 16 high-order bits of `n` are ignored.
`void` | `writeStream(InputStreaming stream)` Write the remaining contents of the specified InputStreaming object. This is functionally equivalent to the following code:
     getBuffer().write(getOffset(), stream);
`void` | `writeStream(InputStreaming stream, int cb)` Write the specified number of bytes of the specified InputStreaming object. This is functionally equivalent to the following code:
     getBuffer().write(getOffset(), stream, cb);
`void` | `writeUTF(java.lang.String s)` Writes the String `s` as a sequence of characters, but using UTF-8 encoding for the characters, and including the String length data so that the corresponding `DataInput.readUTF()` method can reconstitute a String from the written data.

Methods inherited from class com.tangosol.io.AbstractWriteBuffer.AbstractBufferOutput
`calcUTF, close, flush, formatUTF, formatUTF, getBuffer, getCharBuf, getOffset, setOffset, write, writePackedInt, writePackedLong, writeSafeUTF, writeUTF`

Field Detail

### m_out

    protected WriteBuffer.BufferOutput m_out

  The BufferOutput to delegate to.

Constructor Detail

### DelegatingWriteBuffer.DelegatingBufferOutput

    public DelegatingWriteBuffer.DelegatingBufferOutput(int of)

  Construct an AbstractBufferOutput that will begin writing at the start of the containing WriteBuffer.
  Parameters:
    `of` - the offset within the DelegatingWriteBuffer that this BufferOutput will begin writing to

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Writes the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.
  Specified by:
    `write` in interface `OutputStreaming`
  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `b` - the byte to write (passed as an integer)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### write

    public void write(byte[] ab,
                      int of,
                      int cb)
               throws java.io.IOException

  Writes `cb` bytes starting at offset `of` from the array `ab`.
  Specified by:
    `write` in interface `OutputStreaming`
  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `ab` - the byte array to write from
    `of` - the offset into `ab` to start writing from
    `cb` - the number of bytes from `ab` to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeBoolean

    public void writeBoolean(boolean f)
                      throws java.io.IOException

  Writes the boolean value `f`.
  Specified by:
    `writeBoolean` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeBoolean` in interface `java.io.DataOutput`
  Overrides:
    `writeBoolean` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `f` - the boolean to be written
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeByte

    public void writeByte(int b)
                   throws java.io.IOException

  Writes the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.
  Specified by:
    `writeByte` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeByte` in interface `java.io.DataOutput`
  Overrides:
    `writeByte` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `b` - the byte to write (passed as an integer)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeShort

    public void writeShort(int n)
                    throws java.io.IOException

  Writes a short value, comprised of the 16 low-order bits of the argument `n`; the 16 high-order bits of `n` are ignored.
  Specified by:
    `writeShort` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeShort` in interface `java.io.DataOutput`
  Overrides:
    `writeShort` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `n` - the short to write (passed as an integer)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeChar

    public void writeChar(int ch)
                   throws java.io.IOException

  Writes a char value, comprised of the 16 low-order bits of the argument `ch`; the 16 high-order bits of `ch` are ignored.
  Specified by:
    `writeChar` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeChar` in interface `java.io.DataOutput`
  Overrides:
    `writeChar` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `ch` - the char to write (passed as an integer)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeInt

    public void writeInt(int n)
                  throws java.io.IOException

  Writes an int value.
  Specified by:
    `writeInt` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeInt` in interface `java.io.DataOutput`
  Overrides:
    `writeInt` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `n` - the int to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeLong

    public void writeLong(long l)
                   throws java.io.IOException

  Writes a long value.
  Specified by:
    `writeLong` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeLong` in interface `java.io.DataOutput`
  Overrides:
    `writeLong` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `l` - the long to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeFloat

    public void writeFloat(float fl)
                    throws java.io.IOException

  Writes a float value.
  Specified by:
    `writeFloat` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeFloat` in interface `java.io.DataOutput`
  Overrides:
    `writeFloat` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `fl` - the float to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeDouble

    public void writeDouble(double dfl)
                     throws java.io.IOException

  Writes a double value.
  Specified by:
    `writeDouble` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeDouble` in interface `java.io.DataOutput`
  Overrides:
    `writeDouble` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `dfl` - the double to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeBytes

    public void writeBytes(java.lang.String s)
                    throws java.io.IOException

  Writes the String `s`, but only the low-order byte from each character of the String is written.
  Specified by:
    `writeBytes` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeBytes` in interface `java.io.DataOutput`
  Overrides:
    `writeBytes` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `s` - the String to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeChars

    public void writeChars(java.lang.String s)
                    throws java.io.IOException

  Writes the String `s` as a sequence of characters.
  Specified by:
    `writeChars` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeChars` in interface `java.io.DataOutput`
  Overrides:
    `writeChars` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `s` - the String to write
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `java.lang.NullPointerException` - if `s` is `null`

### writeUTF

    public void writeUTF(java.lang.String s)
                  throws java.io.IOException

  Writes the String `s` as a sequence of characters, but using UTF-8 encoding for the characters, and including the String length data so that the corresponding `DataInput.readUTF()` method can reconstitute a String from the written data.
  Specified by:
    `writeUTF` in interface `WriteBuffer.BufferOutput`
  Specified by:
    `writeUTF` in interface `java.io.DataOutput`
  Overrides:
    `writeUTF` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `s` - the String to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeBuffer

    public void writeBuffer(ReadBuffer buf)
                     throws java.io.IOException

  Write all the bytes from the passed ReadBuffer object.

  This is functionally equivalent to the following code:

       getBuffer().write(getOffset(), buf);

  Specified by:
    `writeBuffer` in interface `WriteBuffer.BufferOutput`
  Overrides:
    `writeBuffer` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `buf` - a ReadBuffer object
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeBuffer

    public void writeBuffer(ReadBuffer buf,
                            int of,
                            int cb)
                     throws java.io.IOException

  Write `cb` bytes from the passed ReadBuffer object starting at offset `of` within the passed ReadBuffer.

  This is functionally equivalent to the following code:

       getBuffer().write(getOffset(), buf, of, cb);

  Specified by:
    `writeBuffer` in interface `WriteBuffer.BufferOutput`
  Overrides:
    `writeBuffer` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `buf` - a ReadBuffer object
    `of` - the offset within the ReadBuffer of the first byte to write to this BufferOutput
    `cb` - the number of bytes to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeStream

    public void writeStream(InputStreaming stream)
                     throws java.io.IOException

  Write the remaining contents of the specified InputStreaming object.

  This is functionally equivalent to the following code:

       getBuffer().write(getOffset(), stream);

  Specified by:
    `writeStream` in interface `WriteBuffer.BufferOutput`
  Overrides:
    `writeStream` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `stream` - the stream of bytes to write to this BufferOutput
  Throws:
    `java.io.IOException` - if an I/O error occurs, specifically if an IOException occurs reading from the passed stream

### writeStream

    public void writeStream(InputStreaming stream,
                            int cb)
                     throws java.io.IOException

  Write the specified number of bytes of the specified InputStreaming object.

  This is functionally equivalent to the following code:

       getBuffer().write(getOffset(), stream, cb);

  Specified by:
    `writeStream` in interface `WriteBuffer.BufferOutput`
  Overrides:
    `writeStream` in class `AbstractWriteBuffer.AbstractBufferOutput`
  Parameters:
    `stream` - the stream of bytes to write to this BufferOutput
    `cb` - the exact number of bytes to read from the stream and write to this BufferOutput
  Throws:
    `java.io.EOFException` - if the stream is exhausted before the number of bytes indicated could be read
    `java.io.IOException` - if an I/O error occurs, specifically if an IOException occurs reading from the passed stream

### moveOffset

    protected void moveOffset(int cb)

  Move the offset within the stream forward.
  Parameters:
    `cb` - the number of bytes to advance the offset

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.